Subscribe
Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions
Authorization: Bearer {Paragon User Token}
Content-Type: application/json
{
"integration": "zendesk",
"type": "ZENDESK_TRIGGER_TICKET_CREATED",
"parameters": {}
}
Example Payload
This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in Receiving Webhooks.Example
{
"url": "https://example.zendesk.com/api/v2/tickets/35436.json",
"id": 35436,
"external_id": null,
"via": {
"channel": "api",
"source": {
"from": {},
"to": {},
"rel": null
}
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:01Z",
"generated_timestamp": 1767225600,
"type": null,
"subject": "Example ticket",
"raw_subject": "Example ticket",
"description": "Example ticket description.",
"priority": "normal",
"status": "open",
"recipient": null,
"requester_id": 1000000000000,
"submitter_id": 1000000000000,
"assignee_id": 1000000000000,
"organization_id": 1000000001111,
"group_id": 1000000002222,
"collaborator_ids": [],
"follower_ids": [],
"email_cc_ids": [],
"forum_topic_id": null,
"problem_id": null,
"has_incidents": false,
"is_public": true,
"due_at": null,
"tags": [],
"custom_fields": [
{
"id": 1000000003333,
"value": null
},
{
"id": 1000000004444,
"value": null
},
{
"id": 1000000005555,
"value": null
},
{
"id": 1000000006666,
"value": null
},
{
"id": 1000000007777,
"value": null
},
{
"id": 1000000008888,
"value": null
},
{
"id": 1000000009999,
"value": null
},
{
"id": 1000000011110,
"value": null
},
{
"id": 1000000012221,
"value": null
},
{
"id": 1000000013332,
"value": null
},
{
"id": 1000000014443,
"value": null
},
{
"id": 1000000015554,
"value": null
},
{
"id": 1000000016665,
"value": null
}
],
"satisfaction_rating": {
"score": "unoffered"
},
"sharing_agreement_ids": [],
"custom_status_id": 1000000017776,
"encoded_id": "ABCDEF-1G2H3",
"fields": [
{
"id": 1000000003333,
"value": null
},
{
"id": 1000000004444,
"value": null
},
{
"id": 1000000005555,
"value": null
},
{
"id": 1000000006666,
"value": null
},
{
"id": 1000000007777,
"value": null
},
{
"id": 1000000008888,
"value": null
},
{
"id": 1000000009999,
"value": null
},
{
"id": 1000000011110,
"value": null
},
{
"id": 1000000012221,
"value": null
},
{
"id": 1000000013332,
"value": null
},
{
"id": 1000000014443,
"value": null
},
{
"id": 1000000015554,
"value": null
},
{
"id": 1000000016665,
"value": null
}
],
"followup_ids": [],
"brand_id": 1000000018887,
"allow_channelback": false,
"allow_attachments": true,
"from_messaging_channel": false,
"support_type": "agent",
"result_type": "ticket"
}